import csv

import chardet


def csv_to_list(path: str) -> list[str]:
    """
    Extracts the data from a csv file and returns it as a pandas dataframe
    """
    encoding = chardet.detect(open(path, "rb").read())["encoding"]
    with open(path, newline="", encoding=encoding) as csvfile:
        # if decoder fails to map, assign ""
        reader = csv.reader(csvfile, delimiter=";", quotechar="|")
        ret = []
        for row in reader:
            ret.append(row[0].replace('"', ""))
        return ret


if __name__ == "__main__":
    text = csv_to_list("C:/Users/aky547/Desktop/semap/71.csv")
    # remove linebreaks
    # print(text)
